Package org.apache.solr.common

# Interface PushWriter

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Subinterfaces:
  `JsonTextWriter`, `TextWriter`

All Known Implementing Classes:
  `JavaBinCodec`

public interface PushWriter extends Closeable
This is an interface to stream data out using a push API

## Method Summary

Modifier and Type
Method
Description
`void`
`writeIterator(IteratorWriter iw)`
Write an array.
`void`
`writeMap(MapWriter mw)`
Write a Map.

### Methods inherited from interface java.io.Closeable

`close`

## Method Details

### writeMap

void writeMap(MapWriter mw) throws IOException
Write a Map. The map is opened in the beginning of the method and closed at the end. All map entries MUST be written before this method returns

Throws:
  `IOException`

### writeIterator

void writeIterator(IteratorWriter iw) throws IOException
Write an array. The array is opened at the beginning of this method and closed at the end. All array entries must be written before this method returns

Throws:
  `IOException`